mjlab.sensor
============

.. automodule:: mjlab.sensor

.. rubric:: Classes

.. hlist::
  :columns: 3

  - :class:`Sensor`
  - :class:`SensorCfg`
  - :class:`SensorContext`
  - :class:`BuiltinSensor`
  - :class:`BuiltinSensorCfg`
  - :class:`ObjRef`
  - :class:`ContactSensor`
  - :class:`ContactSensorCfg`
  - :class:`ContactData`
  - :class:`ContactMatch`
  - :class:`RayCastSensor`
  - :class:`RayCastSensorCfg`
  - :class:`RayCastData`
  - :class:`GridPatternCfg`
  - :class:`PinholeCameraPatternCfg`
  - :class:`CameraSensor`
  - :class:`CameraSensorCfg`
  - :class:`CameraSensorData`

Base
----

.. autoclass:: Sensor
  :members:
  :show-inheritance:

.. autoclass:: SensorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: SensorContext
  :members:

Builtin Sensor
--------------

.. autoclass:: BuiltinSensor
  :members:
  :show-inheritance:

.. autoclass:: BuiltinSensorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: ObjRef
  :members:
  :exclude-members: __init__
  :undoc-members:

Contact Sensor
--------------

.. autoclass:: ContactSensor
  :members:
  :show-inheritance:

.. autoclass:: ContactSensorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: ContactData
  :members:

.. autoclass:: ContactMatch
  :members:
  :exclude-members: __init__
  :undoc-members:

Ray Cast Sensor
---------------

.. autoclass:: RayCastSensor
  :members:
  :show-inheritance:

.. autoclass:: RayCastSensorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: RayCastData
  :members:

.. autoclass:: GridPatternCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: PinholeCameraPatternCfg
  :members:
  :exclude-members: __init__
  :undoc-members:

Camera Sensor
-------------

.. autoclass:: CameraSensor
  :members:
  :show-inheritance:

.. autoclass:: CameraSensorCfg
  :members:
  :exclude-members: __init__
  :undoc-members:


.. autoclass:: CameraSensorData
  :members:
